### Method

# EDataServer Client dup_bus_name

since: 3.16

#### Declaration [src]

    gchar*
    e_client_dup_bus_name (
      EClient* client
    )

#### Description [src]

Returns a D-Bus bus name that will be used to connect the client to the backend subprocess.

Available since: 3.16

#### Return value

Type: `gchar*`

A newly-allocated string representing a D-Bus bus name that will be used to connect the client to the backend subprocess. The string should be freed by the caller using g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.